#include <iostream>
#include <stdio.h>
#include <algorithm>
using namespace std;

struct br{
    long long x;
    long long y;
    };

int u(struct br m, struct br n)
{
    return m.y>n.y;
}

int main()
{
    struct br a[3];
    long long i=0,j=0,k=0,n=0;
    scanf("%lli%lli%lli",&a[0].x,&a[1].x,&a[2].x);
    long long ak=a[0].x,bk=a[1].x,ck=a[2].x;
    while(ak)
    {
        ak=ak/10;
        i++;
    }
    while(bk)
    {
        bk=bk/10;
        j++;
    }
    while(ck)
    {
        ck=ck/10;
        k++;
    }
    a[0].y=a[0].x;
    a[1].y=a[1].x;
    a[2].y=a[2].x;
    if(i>=j&&i>=k)
        n=i;
    if(j>=i&&j>=k)
        n=j;
    if(k>=i&&k>=j)
        n=k;
    for(;i<n;i++)
        a[0].y=a[0].y*10;
    for(;j<n;j++)
        a[1].y=a[1].y*10;
    for(;k<n;k++)
        a[2].y=a[2].y*10;
    sort(a,a+3,u);
    printf("%lli%lli%lli",a[0].x,a[1].x,a[2].x);




    return 0;
}